<script setup>
import { theme, toggleTheme } from '~/app.vue';

const route = useRoute();
//const router = useRouter();
const showMenu = ref(false);
const toggleMenu = () => (showMenu.value = !showMenu.value);

const navLinks = ref([
  {
    name: "Mode galerie",
    to: `/gallery`,
  },
  {
    name: "Mode carte",
    to: "/map",
  },
  {
    name: "Déposer évènement",
    to: "/event",
  },
  { name: "Contact", to: "/" },
]);
const crumbsRoute = computed(() => {
  if (Array.isArray(route.meta.breadcrumbs)){
    return route.meta.breadcrumbs;
  }
  return [];
});
</script>
<template>

  <nav
    class="dark-theme h-[100px] bg-white/75 flex flex-wrap items-center justify-between py-3 shadow-lg text-black font-las overflow-hidden"
  >
    <div
      class="container px-4 mx-auto flex flex-wrap items-center justify-between"
    >
      <div class="flex-col text-center justify-center">
        <NuxtLink :to="'/'">
          <img
            src="/images/logo.svg"
            alt="L'Autre Scène"
            width="125px"
            class="hidden mx-auto lg:block"
          />

          <img
            src="/images/logo.svg"
            alt="L'Autre Scène"
            width="100px"
            class="lg:hidden"
          />
        </NuxtLink>
        <ul v-if="crumbsRoute.length>0" class="block h-[20px] text-las text-black ml-8">
          <li
            v-for="(crumb, index) in crumbsRoute"
            :key="crumb.name"
            class="inline"
          >
            <nuxt-link
              :to="{ path: crumb.fullPath }"
              class="text-las text-base text-las-orange"
              :class="{ 'text-black': index === crumbsRoute.length - 1 }"
            >
                {{ crumb.name }}
            </nuxt-link>

            <span
              v-if="index !== crumbsRoute.length - 1"
              class="text-las text-base text-las-orange"
            >
              &gt;
            </span>
          </li>
        </ul>
      </div>

      <HeaderMenu :links="navLinks" />

      <Transition
        enter-active-class="duration-200 ease-in"
        enter-from-class="transform opacity-0 -translate-y-6"
        enter-to-class="opacity-100 translate-y-0"
        leave-active-class="duration-200 ease-out"
        leave-from-class="opacity-100 translate-y-0"
        leave-to-class="transform opacity-0 -translate-y-6"
      >
        <HeaderResponsiveMenu
          v-show="showMenu"
          :links="navLinks"
          @close="toggleMenu"
        />
      </Transition>

      <div>

        <button class="ml-8" type="button" @click="toggleTheme">
          <IconsMoon
            v-if="theme === 'light'"
            alt="Mode Dark"
            width="30px"
            class="hover:opacity-75"
          />
          <IconsSun
            v-else
            alt="Mode Light"
            class="hover:opacity-75"
            width="30px"
          />
        </button>

        <button class="ml-8" type="button" @click="() => {}">
          <IconsUser class="text-las-orange hover:opacity-75" />
        </button>

        <button
          class="ml-8 lg:hidden"
          type="button"
          aria-label="Open menu"
          @click="toggleMenu"
        >
          <IconsBurger class="text-las-orange hover:opacity-75" />
        </button>
      </div>
    </div>
  </nav>
</template>

